## flux delete source

Delete sources

### Synopsis

The delete source sub-commands delete sources.

### Options

```
  -h, --help   help for source
```

### Options inherited from parent commands

```
      --context string      kubernetes context to use
      --kubeconfig string   path to the kubeconfig file (default "~/.kube/config")
  -n, --namespace string    the namespace scope for this operation (default "flux-system")
  -s, --silent              delete resource without asking for confirmation
      --timeout duration    timeout for this operation (default 5m0s)
      --verbose             print generated objects
```

### SEE ALSO

* [flux delete](flux_delete.md)	 - Delete sources and resources
* [flux delete source bucket](flux_delete_source_bucket.md)	 - Delete a Bucket source
* [flux delete source git](flux_delete_source_git.md)	 - Delete a GitRepository source
* [flux delete source helm](flux_delete_source_helm.md)	 - Delete a HelmRepository source

